#alias ls='ls -F --color'
#[ -x /usr/games/fortune ] && /usr/games/fortune bofh-excuses 
#alias la='ls -Fal --color'
#alias uptime="uptime | cowsay"
#alias date="date | cowsay"


#Imperatives
# enable color support of ls and also add handy aliases
    #alias dir='ls --color=auto --format=vertical'
    #alias vdir='ls --color=auto --format=long'

case `uname` in
Linux)
	if [ "$TERM" != "dumb" ]; then
		eval "`dircolors -b`"
	fi
	alias ls='ls -F --color=auto'
	;;
Darwin)
	alias ls='ls -FG'
	;;
FreeBSD)
	alias ls='ls -FG'
	;;
SunOS)
	alias ls='ls -F'
	;;
*)
	if [ "$TERM" != "dumb" ]; then
		eval "`dircolors -b`"
	fi
	alias ls='ls --color=auto'
	;;
esac

	

# some more ls aliases
alias ll='ls -lF'
#alias la='ls -A'
alias la='ls -alF'
#alias l='ls -CF'

alias vi='vim'
alias grep="grep --color=auto"
alias screen="screen -R"
alias dvtm="dvtm -m \"^w\""
alias tm="tmux -2 attach"

#Cosmetic/useful
#alias naim="naim --noscreen"
alias wallall="wallall -p"
#alias cal="cal -3"
alias google='surfraw google'
alias hd='od -Ax -tx1z -v'
alias gcal='gcalcli'

#Sysdadmin
alias aptsearch="aptitude search"
alias openports="lsof -i 4 -n"
alias saupdate="sa-learn --mbox --spam ~/mail/spam"
alias pshosers="ps axeo pcpu,pid,user,command | sort -k 1 -r | head -11 "
alias memhosers="ps axeo size,pcpu,pid,user,command | sort -n -r | head -11 "
alias psx="ps auxwww | grep $1"

#work
alias totemp="cd `pwd | sed 's/controllers/templates/'`"
alias tocont="cd `pwd | sed 's/templates/controllers/'`"

#Some orly aliases
alias yarly="orly -y"
alias nowai="orly -n"
alias srsly="orly -s"
 
#Funnies
alias whothefuckis='finger'
alias whoami="echo 24601"
